BrainVoyager User's Guide_Update

BrainVoyager User's Guide

Update for BrainVoyager version 3.9

New features of BrainVoyager 3.x include

  • Event-related experimental designs

  • Inhomogeneity correction

  • Automatic cutting and unfolding

  • Field sign map computation

  • Surface-based ROI selection

  • Creation of activation movies

  • Minor improvements


Event-related experimental designs

The analysis and visualization of event-related experimental designs involves the following steps:

  • Correct for slice timing during 2D preprocessing

  • Define continous predictors using the hemodynamic response function tool

  • Run a multiple regression analysis

  • Specify event-related averaging (.AVG) files

  • Apply event-related averaging files within the ROI signal time course windows

A proper analysis of event-related designs requires preprocessing the data using the Slice scan time correction option in the 2D Data Preprocessing dialog which was introduced in BrainVoyager 3.5.1. To use this option, enter the TR and the Inter slice time value in the respective fields of the Advanced section. In addition, you must specify whether the slices are recorded in an ascending or interleaved order. The provided information is used to align the slices in time as if all slices of one functional volume were recorded at the same time (the time point of scanning the first slice of a functional volume).

You can then use the hemodynamic response function option to define appropriate continous predictor models using the Single Study General Linear Model dialog. Finally run single or multi-study GLMs (multiple regression) to obtain the statistical maps. The definition of predictors works like described in the BrainVoyager 3.0 help file.

A very useful tool added in BrainVoyager 3.5.1 is the inspection of evoked responses within and across runs. Using this feature requires specification and application of event-related averaging (.AVG) files. At present the application of this tool is limited to 3D functional (.VTC) data sets but it will also made available for 2D (.FMR) projects.


Creation of event-related averaging files

The specification of event-related averaging (.AVG) files is performed in the Event-Related Averaging - Creation of .AVG File dialog which is invoked using the Event-related averaging... menu item in the Analysis menu. Event-related averaging works across many runs, i.e. from a single subject or from multiple subjects. To specify all functional runs which you want to use in the averaging process, use the Add... button repeatedly to select the desired .VTC files (see left figure below). All selected .VTC files are listed in the Functional data files list box (see right figure below).

When a .VTC file is selected, BrainVoyager looks in the respective protocol file to find the conditions within that run. All conditions found in the protocol are listed by name in the Available conditions in referenced protocol files: list box. Note, that the specification of .AVG file works only if the involved .VTC files possess a link to the respective protocol file. If this reference has not been specified, use the Edit .VTC Infos dialog first to link the correct stimulation protocol files with your .VTC files. To invoke this dialog click the Edit .VTC infos... menu item in the File menu.

It is also important to realize that the condition names of the stimulation protocols are used for defining what has to be averaged across runs. Thus, use exactly the same names for the same conditions in all involved protocols.

After having added all desired .VTC files, you can select all conditions you want to have averaged within and across runs by clicking on entries in the Available conditions in referenced protocol files: list box. For each selected condition, a separate curve will be plotted in the Event-Related Averaging Time Course dialog (see next topic). If you have many conditions, you might want to define separate .AVG files for different sets of conditions. To select a condition, simply click on its name in the Available conditions in referenced protocol files: list box. Now you are ready to generate an .AVG file using the Generate button.

Prior to generating the .AVG file, you might want to change some default values. The most important ones are the Pre: and Post: values. These values specify the number of recordings before and after the condition event which will be visible in the evoked response plots. The Post: value is important because the hemodynamic response of an event as specified in the protocol occurrs with a delay and it would, thus, not be visible if the Post: value would be set to 0. The value is interpreted as number of data points, i.e. recordings. The preset value of 8 is appropriate for a TR of around 2 secs showing the response for 16 secs after the end of the event. You should set this value to 16 or more if your TR is less than 1 second. If your event is just part of an extended succession of events within a trial (i.e. as in a short-term memory paradigm with a separation of a trial into encoding, delay and response phases) you might want to specify only one event of a trial (i.e. encoding) together with a much larger Post: value (i.e. to see also the hemodynamic response of the delay and test phase).
The Pre: value is typically also set to a non-zero value since it allows to see the averaged time course prior to the event in question (i.e. base line). It is preset to 4 recordings. This value is also important with respect to defining the base line for computing percent signal change values. If you want to have percent signal change values check the Enable % signal change option (default: checked) in the File-based percent signal change field. The Avg. from: and To: values specify the recordings which will be used for computing the base line (0%). If, for example, the preset values of Avg. from: = 1 and To: = 4 together with a Pre: value of 4 are used, four recordings before the specified events will be used for computing the base line. If instead the values Avg. from: = 3 and To: = 6 were used together with a Pre: value of 8, eight recordings will be shown prior to the events in the average plot but only four of them will be used for computing the base line for determination of percent signal changes. Finally, you can specify in the Variation bars field whether you want to visualize standard deviations (check the Standard deviation option) or standard errors (check the Standard errors option, default) for the averaged values of each data point. Click the Generate button and enter a name for the .AVG file, the usage of which is described in the next topic.


Application of event-related averaging files

Event-related averaging .AVG files are activated within ROI Signal Time Course windows which you activate clicking with the right mouse button in a VMR/VTC project (.AVG files are not yet supported for 2D .FMR projects). Such a window shows the time course within a .VTC file from the region of interest selected in the .VMR data set. To activate an .AVG file click on the >> button in the lower right corner of the ROI Signal Time Course window to open the option fields. In the lower left corner, you will find the check box Event-related avg. Before you can use it, you must first enter a name in the text box on its right side. More conveniently, you can use the Browse... button next to it to select an .AVG file. As soon as you have selected the .AVG file, the Event-related avg option is checked automatically and a new window appears on the right side of the ROI Signal Time Course window showing evoked responses according to the specifications in the .AVG file. You can now hide and show the appearing Event-related averaging window using the Event-related avg option.

The Event-related averaging window shows the evoked responses as specified in the .AVG file for the respective region of interest. The y-axis shows either raw data or percent signal change values (default). The x-axis shows the recording stretch used for averaging (sum of Pre value recordings, recordings of event, Post value recordings). The vertical bars delimit the recordings of the selected event. You can change the size of the Event-related averaging window simply by clicking the left mouse button at the right lower corner. Keeping the mouse button pressed move it around to change the window size.

You can specify further options by clicking with the left mouse button somewhere within the window. This will invoke the Plot Options window (see figure below). In the Multiple curves plot mode field you can chose between the Over plot mode (default) or Horizontal arrangement mode. These modes are only useful if you have specified more than one condition during specification of the .AVG file. The Over plot mode shows the evoked responses for each selected condition superimposed whereas the Horizontal arrangement mode shows the evoked responses side by side.

If you have selected the Over plot mode and also checked the Segmentation info option (default), vertical lines are drawn enclosing the recordings belonging to the specified event. Before the first vertical line as many data points are shown as specified in the Pre: value text box during specification of the .AVG file. After the second vertical line as many data points are shown as specified in the Post: value text box during specification of the .AVG file. If you have selected the Horizontal arrangement mode together with the Segmentation info option, part of the protocol colors are shown in the background of the evoked responses. If you uncheck the Segmentation info option, evoked responses are shown without highlighting the recordings belonging to the selected conditions.

Check the Std devs/errors option to show standard deviations or standard errors as specified in the .AVG file for each data point. Change the Font size factor: value to increase or decrease the size of the text for the axis labels. You can also increase the thickness of the lines of the axes and the vertical segmentation lines specifying a Line thickness: value. The thickness value is measured in pixels. In the Plot size field you can specify a precise value for the Width: and Height: of the Plot Options window. This feature together with the Font size factor: and Line thickness: values can be used to produce appropriate displays for figures all having the same sizes. To save the content of the Event-related averaging window, simply click the left mouse button within the window while holding down the CTRL key.

You can also save the averaged data points either as an image or as text in an ASCII) file. To save the content of the Plot Options window as a bitmap, click with the left mouse button within the Plot Options window while holding down the CTRL key. After a short moment a dialog box appears where you can enter a filename.
If you want to save the data in a text file (i.e. for external processing), click the Save plot values... button. Enter a filename in the invoked File Save As... dialog. You can also load data points into a Plot Options window which was saved previously. This is, for example, helpful if you want to superimpose data from different regions of interest within one plot window. If you click the Load curves... button, the content of the window is replaced from the data found in the specified text file. If you click the Add curves... button, the content of the data in the specified file is added to the plot window.


Fast high-quality inhomogeneity correction

There are two related approaches implemented in BrainVoyager. One approach called FFT-based inhomogeneity correction operates fully automatic and provides good results. In some cases the results are, however, not good enough for the subsequent application of the automatic white-matter segmentation procedure.

The second method is called the white matter-based inhomogeneity correction. Although this method is not automatic (but see below), it produces excellent results.

Both methods are available for 8 bit as well as for 16 bit data. A 16 bit represenation for a voxel's intensity is used in the original data representation by almost all scanners (From the 16 bits per voxel, often only 12 bit are really used yielding intensity values between 0 and 4096). BrainVoyager transforms 16 bit data into 8 bit data during the creation of .VMR projects). However, the 16 bit original data is also available after creation of a .VMR project and accessible through the Convert 16 to 8 bit intensity option in the Options menu. For large inhomogeneities i.e. surface coil data, the 16 bit approach should be used. For small inhomogeneities, the 8 bit approach is recommended since it can be applied also after the application of spatial transformations. 16 bit inhomogeneity correction can only be performed on the original slices (i.e. no resampling to iso-voxel or rearrangement of axes is possible). If the 8 bit white matter-based inhomogeneity correction method is applied after Talairach transformation, it can be used in a fully automatic way. This is the preferred method for correcting small inhomogeneities. In this help update, only the 16 bit inhomogeneity correction method is described. A full description of all options will be provided in the BrainVoyager 2000 user's guide


White matter-based inhomogeneity correction

This approach requires an initial segmentation of white matter. This initial segmentation need not to be correct, of course, otherwise there would be no problem to be solved. The initial segmentation, however, already indicates in which directions the signal intensity rises or falls leading to a first initial fit of a bias field. The resulting first estimate of the bias field may not lead to a fully corrected representation but it should give rise to a substantial improvement. The process might be repeated (i.e. segmenting white matter again and then starting inhomogeneity correction) to yield a very good final result.

An example using 16 bit data
The figure below shows a 3D data set (courtesy of Jody Culham, London, Western Ontario) after creation of a .VMR project. This data set was recorded on a 4T scanner and shows a roughly radial drop in signal intensity. The 16 Bit to 8 Bit Data Conversion dialog has been invoked. Directly after creation of an 8 bit .VMR project using the Create Project dialog, the original 16 bit data set is also available since it is stored in working memory in parallel with the 8 bit .VMR data set. In this case, the Convert button is enabled which, if clicked, converts the 16 bit data set to the standard 8 bit .VMR data set using the specified Contrast and Brightness values. If you close the .VMR data set, the original 16 bit data will be deleted from working memroy. If you want to keep the original data set (without running again through the create project process), save the 16 bit data set as a .V16 file using the dialog's local File menu. You can then later reload the .V16 data set using the Load .V16... menu item in the local File menu of the 16 Bit to 8 Bit Data Conversion dialog.

NOTE You should only reload the 16 bit data into a .VMR data set which is "in register" with the .V16 data. The only file fulfilling this constraint is the .VMR data set directly after project creation. If you perform spatial transformations with the .VMR data set (i.e. isovoxel), the dimensions will be changed to 256x256x256. After those transformations the .V16 file and the transformed .VMR file are no longer in register.

The figure below shows the same .VMR/.V16 data after a region growing segmentation of the .VMR data using an intensity range of 120 - 180. It is clear that this segmentation is suboptimal, i.e. the superior and lateral white matter regions are not labeled. The labeled tissue, however, provides an estimate of how the intensity values change across space. In order to apply the intensity correction algorithm, simply click the WM presegmentation-based button in the Inhomogeneity correction field.

The figure below shows the result of the inhomogeneity correction process. From the result you can see that the presegmentation indeed included enough information to adequately estimate the bias field (three-dimensional inhomogeneity distortion function).

You may further improve the homogeneity of the data set by segmenting the obtained version a second time.Then click again the WM presegmentation-based button. (Two options, 1. doing it as described uses the internally modified .V16 data set, 2. first reload the original .V16 data set and then click the WM presegmentation-based button. In the latter approach, the improved segmentation result is applied to the original data set).


White matter-based inhomogeneity correction - surface coil data

The following images show the result of applying the algorithm described in the previous topic to surface coil data from a 4T scanner of Kamil Ugurbils lab in Minnesota. The left image shows a single original slice and the right side shows the result after two applications of the inhomogeneity correction method.


FFT-based inhomogeneity correction

This approach works as follows: The data set is subjected to a 3D FFT to detect low frequency drifts in the data set. These low frequencies are then used to estimate an initial bias field. The bias field is, however, not good enough (i.e. not smooth enough) for an optimal correction. Therefore an additional step is performed consisting in fitting a 3D Legendre Polynom to the initial bias field. This process produces the final bias field which is used to correct the data. The method can be applied iteratively to improve the result.


Automatic cutting and unfolding

With BrainVoyager 3.8 flattening of reconstructed cortical hemispheres has been greatly improved. Flattening can be done now with minimal user interaction. As in the previous versions, flattening consists of the following steps after a cortical hemisphere has been reconstructed: inflation, cutting, unfolding and distortion reduction. The inflation procedure has not been changed except of one important detail - surface area adjustment. This feature is activated checking the new Adjust surf area option in the Mesh Morphing and Coloring dialog. This feature can be only activated if a reference mesh has been linked, i.e. the folded representation of the reconstructed cortical hemisphere. Having checked the Adjust surf area option, you will see that the mesh representation grows during inflation since this option ensures that the surface area of the inflating mesh has the same size as the surface area of the folded version of the mesh.

The Adjust surf area option plays also an important role during distortion correction which has been improved substantially in the new version.

In previous versions, the specification of cuts and the specification of unfolding fields required a substantial amount of user interaction. Both steps can now be performed fully automatic.


Automatic specification of cuts

If a mesh representing the cortical sheet of a hemisphere has been completely inflated, cuts have to be introduced before the unfolding process can be started. This process can now be done automatically. To use this new feature

  • Make sure that you have an inflated mesh just created or loaded in the surface module

  • Invoke the Mesh Morphing and Coloring dialog and click the Options button.

  • In the appearing Morphing and Coloring Options dialog, click the Auto cut button.

Five cuts are made in the mesh which are visible after a few seconds in the surface module. The cuts are made in a way that the medial part of the hemisphere is divided into five "lobes" (see figure below). If you want to specify a different layout of cuts, you can, of course, still use the interactive method.

Manual cut along the calcarine sulcus. If you are interested in the functional delineation of early visual areas, you might want to define the cut along the calcarine sulcus based on results from retionotopic mapping results. In this case, load a polar angle map (or any map distinguishing between stimulation of the upper and lower visual field) and define the cut along the calcarine manually. If you decide to use the manual specification of the calcarine cut, you have to enter the indices of three vertices. To find these indices, switch to selection mode and click on three vertices along the posterior half of the calcarine starting at a point around the occipital pole. With selection mode, the indices (numbers) of the selected vertices are shown in the status bar. These numbers must then be entered in the Specify Calcarine Cut dialog (see below) which can be involved within the Morphing and Coloring Options dialog. Note that the three vertices do not include the last vertex connecting the calcarine cut with the deleted medial circular region.


Automatic specification of unfolding fields

The unfolding process produces good results if unfolding fields are used (instead of a simple radial unfold field, see v3.0 user's guide). Up to this version, the definition of unfolding fields was a rather time consuming procedure. To use the new automatic version:

  • Make sure that you have an inflated mesh representation available in the surface module. Cuts have to be performed using the automatic cutting tool as defined in the previous section.

  • Invoke the Mesh Morphing and Coloring dialog and click the Options button.

  • In the appearing Morphing and Coloring Options dialog, click the Auto unfold button.

After having clicked the Auto unfold button, the unfolding fields are defined using the endpoints of the previously specified cuts. In addition to the specification of the unfolding fields, all relevant unfolding parameters are set to appropriate default values. The only thing to do for you is to click the Go button in the Mesh Morphing and Coloring dialog to start the unfolding process..


Automatic distortion correction

The last step in cortex flattening with BrainVoyager consists in 500 or more distortion reduction iterations aimed at reducing geometrical distortions. The respective program routines have been improved in such a way that the remaining geometric distortion error may be as low as 10-15% (measured as the mean of the absolute differences of all pairwise distances of neighboring vertices in comparison to the distances of the same pairs of the folded mesh). The following figures show a cortical hemisphere mesh prior to distortion correction (after unfolding is complete) and after 1000 distortion reduction iterations. The error value dropped from 24% to less than 13%.

To use the improved distortion correction algorithm, you should have loaded or just created a completely unfolded representation of the cortical sheet (see previous section and upper figure). In addition, a folded reference mesh has to be linked which provides the desired correct local geometry. To link a mesh, check the Use informations from file: option in the Mesh Morphing and Coloring dialog and then select the file name of the folded (i.e. reconstructed and smoothed) representation of the cortical hemisphere in the appearing File Open dialog. Now check the Distortion correction option. Checking this option sets all the necessary parameters to substantially reduce geometric distortions: the smoothing force is set to 0.8, the distortion reduction force is set to 0.35, the border control value is set to 1.0, the number of morphing iterations is set to a maximum of 2000 and the critical distortion value (see below) is set to 13%. To finally start the distortion correction process, simply click the Go button. The distortion correction process then runs with typical initial distortion values of 20-25% until the specified critical value for distortion has been reached. This value is preset to 13% and can be changed in the Morphing and Coloring Options dialog which is invoked by clicking the Options button. A value of 13% is very strict requiring typically more than 1000 morphing iterations and it leads to excellent results (see figure above). A value of 15% leads already to acceptable results requiring only around 500 iterations.


Basic analysis of retinotopic mapping experiments

This section describes how retinotopic mapping experiments can be analyzed in BrainVoyager to produce representations on flattened cortex representations containing functionally delineated early visual areas. We assume that you have performed mapping experiments in a similar manner as described in Sereno et al. (1995), DeYoe et al. (1996) or Goebel et al. (1998). As a minimum, you need to map the horizontal and vertical meridians which you can use to draw manually area boundaries on flat representations of the cortical sheet. Here we assume that you have run "full-fledged" eccentricity and polar angle experiments. An objective method to compute boundaries of early visual areas is the computation of field sign maps (Sereno et al., 199?) which will be described subsequently.

The figure below shows the result of a cross-correlation study for an eccentricity mapping experiment analyzed using the original slice-based data (.FMR project). In this example, functional data was obtained using 16 slices with 3mm x 3mm x 3mm voxels. This resolution has proven to be sufficient to produce good mapping results. The Linear Correlation dialog above also shows an example of how a stimulation protocol might be defined. In the experiment, 8 repetitions of an expanding annulus were used. Each expansion (from the minimal to the maximum size) lasted exactly 32 measurements (TR=2081ms). In the protocol, each expansion was divided into 8 segments each containing 4 measurements. In order to perform a cross-correlation analysis, the first segment of the protocol was set to 1 (see top figure) and then convolved with the hemodynamic response function (see figure above). This reference function is then cross-correlated with every voxel time course using 28 lags.

The figure above shows the mapping result of the cross-correlation analysis together with the time course of a foveal region from slice 8.


Volume- and surface-based analysis of retinotopic mapping experiments

The figure below shows on the left side the same eccentricity mapping data as shown in the section "Basic analysis of retinotopic mapping experiments". Here the data was analyzed in 3D Talairach space using a created VTC file (cg_eccentricity.vtc). On the right side, the data is visualized on the flattened surface of one hemisphere.

Prior to computing field sign maps, a certain amount of surface-based data smoothing is recommended otherwise the boundaries between areas might not be clearly visible. There are two ways to do surface-based smoothing in BrainVoyager. To understand the difference between the two smoothing techniques, you have to realize that the colors visualized on the surface after clicking the Read func button in the Mesh Morphing and Coloring dialog are direct representations of (up to) 20 lag values of the cross-correlation result. The colors of these 20 values are defined in the overlay look-up table which you can inspect (and change) by invoking the Overlay Look-Up Table dialog in the Options menu. One smoothing technique, LUT smoothing, is activated by clicking the Smooth func2 button. This smoothing technique keeps the 20 lag colours. It analyzes the local neighborhood around a vertex. If most neighbors possess a certain lag value, then also the considered vertex might change to that lag value. The size of the neighborhood is controlled with the Nr of nbr iterations value in the Morphing and Coloring Options dialog. This value is preset to 3 which means that up to the third level of direct neighbor voxels are considered (value 1 = all direct neighbors, value 2 = all direct neighbors plus their direct neighbors and so on). The second smoothing technique, RGB smoothing, is invoked by clicking the Smooth func button. If this button is clicked, the LUT colors are transformed to "real" RGB colors. These colors are then interpolated based on the RGB colors of the local neighborhood. The resulting colors are not restricted to the 20 lag values but can be any color value. Both smoothing techniques can be applied repeatedly. The figure below shows the result of applying LUT smoothing once and then 10 times RGB smoothing.

NOTE If you execute once RGB smoothing, clicking the Smooth func2 button will have no effect any more since the lag values are then already transformed to a "real" (RGB) color space. You can, however, resample the functional data using the Read func button which then enables again LUT smoothing.


Creation of field sign maps

In order to delineate early visual areas, polar angle maps (or at least mapping of the horizontal and vertical meridians) are required. Polar angle maps show relatively smooth transitions in the color coding representing adjacent angles of a checkerboard wedge (see inset in figure below). Since early visual areas border each other with a mirrored representation of the visual field at the horizontal and vertical meridians, the area boundaries can be specified at the "turning points" of the colour codes. As an example consider the dorsal region in the figure below where colors are based on the standard BrainVoyager overlay LUT after a cross-correlation analysis. The yellow (and green) colour along the cut represent the horizontal meridian of the left lower visual field. Moving anteriorly, the colours change from yellow to red and then back to yellow. The red turning point represents the vertical meridian separating dorsal area V1 from dorsal area V2 (mirror representation). Moving further anteriorly, the colors change to yellow and then back again towards red. The yellow turning point represents the horizontal meridian separating dorsal area V2 from dorsal area V3. Moving further anteriorly, the next red turning point separates dorsal area V3 from area V3a. Note, that in this region there are also blue and green colours indicating that V3A also represents the upper left visual field (c.f. Tootell et al., 1997).
The colours in the ventral part of the flat map represent the left upper visual field. As in the dorsal region (although not as clear), colour turning points represent the horizontal (green) and vertical (blue) meridians. The first blue turning point marks the transition from ventral V1 to ventral V2. The next green turning point demarcate ventral V2 from VP. Finally, the most anterior blue turning point demarcates VP from ventral V4 (V4v).

Note that in the figure above, a cross-correlation analysis was computed not for the full visual field (360 degrees) but only for the left half of the visual field (radiological convention is used). This improves the quality of the mapping result since no impact from the other half of the visual field is considered (which actually does occur more and more strongly if one moves higher in the visual hierarchy) and all available 20 colors are used for one hemisphere. In the recent releases of BrainVoyager (version 3.9 and above), special cross-correlation files for analyzing mapping data are distributed (EccenCrosscorr.rtc, PolarRightHemi.rtc, PolarLeftHemi.rtc) together with appropriate protocol files (Eccentricity.prt, Polar.prt). These files assume that one complete stimulation cycle (i.e. one rotation of 360 degrees) lasted exactly 32 measurements. Since this number might be different in your experiments, you have to adapt the example files to your needs.

Using a polar mapping result as described, you can demarcate manually the boundaries between early visual areas using an external graphics program as was done in the figure above (white lines). You can also use Brainvoyager's surface drawing tools to delineate area boundaries. Invoke the Region Deletion and Coloring Options dialog by clicking the Floodfill options... menu item in the Meshes menu. In the dialog, check the Coloring mode option and select a color index in the Fill index text box for drawing, i.e. color index 1 for area V1, color index 2 for area V2 etc. You can change the RGB color values of the color indices and save them to disk using the local file menu. Note that each color index defines two color values, one is used for coloring convex and one for cancave regions. The figure below shows the result of interactively defining early visual area boundaries.

The computation of field sign maps (Sereno et al., 199?) is a more objective method for delineating early visual areas requiring both a polar angle and an eccentricity mapping experiment. If the mapping data is of good quality, this method works well for delineating V1 to V3/VP but it does not produce good results for higher areas which represent more than one quadrant of the visual field. Field sign maps exploit two properties of early visual areas. First, eccentricity roughly increases in the same direction across all early visual areas representing the same quadrant of the visual field. The direction of increase can be computed locally and specifies an eccentricity gradient. In the figure below the gradient directions are shown for some locations with a white arrow.

A second feature of the visual system exploited in the computation of field sign maps is that early visual areas border each other in a mirrored representation. Polar angle maps reflect this as described above. If one computes locally polar angle gradients, the horizontal and vertical meridians are detectable at those locations where the gradients maximally change their direction. This can be seen in the figure below where some polar angle gradients are shown.

The combined analysis of the two gradient maps (eccentricity and polar) allows to locally assign whether an early visual area contains a mirror or a non-mirror representation of a respective visual field quadrant. In this analysis the angle between the polar angle gradient and the eccentricity gradient are computed at each vertex of the surface. If this angle is below 180 degrees, the location is assigned as "mirrored"; if the angle is above 180 degrees, the location is assigned as "non-mirrored". This attribution of "field sign" is visualized in the inset of the figure below. If a location is assigned as mirrored it receives color 1 (i.e. green), if it is assingned as non-mirrored it receives color 2 (i.e. blue).

Since the assignment of field sign is a local computation, it is vulnerable to noise in the data. It is therefore recommended to smooth the data to some extent. To get a good local estimate of the eccentricity and polar angle gradient, the different colors of the respective maps are first converted to different brightness values of a single color. With the recent BrainVoyager distributions (version 3.9 and above), special overlay LUT files are included for this purpose (EccenRedGradient.olt, PolarRightHemiRedGradient.olt, PolarLeftHemiRedGradient.olt). Load the respective file after you have clicked the Read func button in the Mesh Morphing and Coloring dialog (you can load the .OLT file, of course, already when you compute or load the cross-correlation result within the .VMR project). The result on the flat map should now look similar as the ones shown in the red colored eccentricity and polar maps on the left side of the respective figures above. To smooth the map, we recommend to apply LUT smoothing once and then 10 times RGB smoothing (an explanation of the two types of smoothing can be found in topic Volume- and surface-based analysis of retionotopic mapping experiments). The result on the flat map should now look similar as the ones shown in the red colored eccentricity and polar maps on the right side of the respective figures above. You should save the resulting maps to disk (i.e. nn_rh_flat_EccenRedGrating.srf, nn_rh_flat_PolarRedGrating.srf). To compute the field sign map, BrainVoyager now requires that the eccentricity mapping result has been loaded and that a link to the polar mapping result is established using the Use information from file option in the Mesh Morphing and Coloring dialog. Now you can click the Field sign map button in this dialog which should result in a map as shown in the figure above.

The figure below summarizes the required information for computation of field sign maps: Smoothed red gradient map of the eccentricity mapping result (loaded) and smoothed red gradient map of the polar mapping result (linked). Based on these two pieces of information, the field sign map is computed (right side in figure below).

NOTE The local neighborhood used in field sign assignment as well as in LUT smoothing is controlled with the Nr of nbr iterations value in the Morphing and Coloring Options dialog. This value is preset to 3 which means that up to the third level of direct neighbor voxels are considered (value 1 = all direct neighbors, value 2 = all direct neighbors plus their direct neighbors and so on). To gain a feeling of the influence of this value on the computation of field sign maps, you should recompute the maps using values in the range from 2 to 10.


Voxel-based ROI selection in the VMR view

This section updates the information of the BrainVoyager 3.0 user's guide (topic signal time course analysis in chapter 2D data analysis). After having computed a statistical map, i.e. the result of a correlation analysis or GLM, you can select a functional cluster by clicking with the right mouse button on a coloured region in the VMR project view (the left mouse button is used to navigate within the data set). The figure below shows the resulting display as an example together with the time course of the selected ROI on the right side.

This voxel-based selection is implemented as a three-dimensional region growing in the space of the statistical mapping data. The maximum extent of that region growing process can be controlled in the Max cluster range field in the Talairach tab of the 3D Volume Tools dialog. In the example above, the three values, one for the maximal spread in each dimension were set to 10 whereas in the figure below, the values were set to 30. As you can see, now the full extent of the functional cluster (3D ROI) is marked.

The selection of a 3D ROI is now visualized showing in white colour only the outline of the functional cluster. This has the advantage, that the original colour values within the functional cluster are still visible. If you prefer visualizing all voxels belonging to a selected 3D ROI, you can switch to the old selection mode by unchecing the Show 3D cluster borders option in the Overlay maps dialog (see figure below).

If you click with the right mouse button on another functional cluster, the previously specified ROI is deleted and a new ROI is marked. As with .FMR projects, you can specify multiple ROIs by holding down the CTRL or SHIFT key prior to clicking on a 3D point. If you hold down the CTRL key, a new cluster is marked in addition to the existing ones and also a new ROI time course window will be opened (if a .VTC file is referenced). If you use the SHIFT key, a new cluster is also marked but the time course is added to the most recently opened ROI time course window.


Surface-based ROI selection

When a statistical map i.e. a GLM map is superimposed on the 3D .VMR data, it can be visualized also on folded, inflated or flattened representations of the cortical sheet. This is performed by clicking the Read func button in the Mesh Morphing and Coloring dialog. This works only correct on folded representations of the cortical sheet i.e. directly after reconstruction or after corrective smoothing of the surface as shown in the figure below. If you have loaded an inflated or flattened representation, you must establish a link to the correct folded representation using the Use information from file option in the Reference to vertices, colors, edges of secondary mesh field. Now you can click the Read func button to obtain correct results.

Surface-based sampling of voxel space. When the functional data is projected onto the surface, the statistical map data is read onto the surface by sampling the voxel space along the surface, i.e. the white/grey matter boundary. This sampling can be controlled using the Read func depth start: and Read func depth end: values in the Functional data VTC access field of the Morphing and Coloring Options dialog. This dialog is invoked by clicking the Options button in the Mesh Morphing and Coloring dialog. The read func depth start and end values are specified in mm along the normal vector of a vertex. The normal vector points into the grey matter if the mesh was reconstructed along the white/grey matter boundary. They are preset to 0 and 2, respectively but can be changed as desired, i.e. to values -1 to 3.

If the functional data has been projected onto the surface you can click with the left mouse button on a coloured area to select a contigous region as a surface-based region-of-interest (SB ROI). Prior to clicking, you must switch from navigation mode to vertex selection mode by clicking the respective icon [image]. From the vertex selected with the mouse, the surface-patch comprising the SB ROI is determined through two-dimensional region growing. In previous versions of BrainVoyager, the selected region was not marked on the surface. The new version highlights the boundary of the selected surface-patch through drawing it in white colour (see figure above). The two-dimensional region growing can be restricted to a maximum surface area value. If the Restrict selection area option is checked in the Morphing and Coloring Options dialog, region growing around the selected vertex stops when the specified surface patch area value is reached. This feature allows to investigate the time course of subregions of a continous larger activated area.
In previous versions of BrainVoyager, selection of a ROI was not fully surface-driven and worked as follows: the vertex clicked with the mouse was used to determine the closest voxel in the voxel space of the VMR view. The determined voxel was then used to mark a 3D functional cluster as described in the topic voxel-based ROI selection in the VMR view. This method is still available if you check the Vertex > voxel > cluster access option in the Morphing and Coloring Options dialog (see figure below). As default, however, a fully surface-based approach is used in BrainVoyager which is enabled by selecting the Surface patch > voxels access option (see figure below). In this approach, the marked surface patch directly controls which voxels are sampled by using the same approach as described above in the section surface-based sampling of voxel space. The lower part of the figure above shows an axial slice with the voxels highlighted which are selected by the surface patch depicted above the slices. The slice on the left side uses the Show 3D cluster borders option as described in voxel-based ROI selection in the VMR view while the right side shows all voxels "addressed" by the selected surface patch. You can fully control the width of the sampled space by changing the Read func depth start: and Read func depth end: values.

NOTE If a VTC file is linked to the current VMR or if an event-related averaging .AVG file has been selected, the surface-based selected ROI of course also determines also the voxel-time courses used for display.

NOTE If you click on a "background" vertex and not on a functional one, the surface-based region-growing algorithm will segment a contigous region depending on the coloring of your surfaces. The figure below, for example, shows the result of selecting the temporal lobe on a surface where the lobes were marked with different colors. A more important application of this feature is the possibility to select regions resulting from specific analyses like field sign maps as areas of interest. If you have once segmented (differently colored) several (early visual) areas, you can then reference a VTC file from another experiment and then click i.e. on area V2 to show the time course of that particular region.


Creation of activation movies

To create an activation movie, load a 3D anatomical data set in Talairach space and load or compute a 3D statistical map. In addition, you must reference a VTC file which provides the time course data. Loading a .GLM file is an easy way to obtain both a 3D map (after selecting one or more predictors) and a link to a .VTC file. As you will see below, you can also specify an event-related averaging (AVG) file which references itself one or more VTC files.

The selected 3D statistical map defines the set of functional clusters which will be shown during the movie. To select more or less functional clusters, adjust the minimal statistical threshold appropriately within the Analysis->Overlay maps dialog. The clusters used in the movie are precisely those visible in the 3D Volume tools window. You might also want to set the Size value of the Cluster field to remove very small clusters (i.e. 200).

To create the movie, switch to the Surface module and invoke the Meshes->Activation movie dialog (see below). The dialog is partioned into two major sections, the Run activation movie field and the Create activation movie field. In the creation field, you can specify whether you want to use the currently referenced (or loaded) VTC file (check Use current VTC) or whether you want to use an event-related averaging file (check Use .AVG file). In the latter case an Open File dialog appears which allows to navigate to the desired AVG file.

You can now create the activation movie by clicking the Create .AMV file button. Before doing so, you might, however, want to specify bitmaps containing images of the stimuli or some other informative text. These bitmaps will be shown when running the movie. Note that the used bitmaps must have dimensions which are powers of 2 (i.e. 128x256 or 512x512). The reason for this is that the bitmaps are internally used as textures which possess these limitations in OpenGL. To specify the sequence of images, select bitmaps using the Browse frame... button. A selected file name is then shown in the Image edit box. Select the frame (time point, measurement) at which the selected image should appear in the movie. If, for example, an empty screen with a fixation cross should appear at the first frame, select the respective BMP file (i.e. fixation.bmp) and specify a value of 1 in the Movie frame edit box. Now click the Add button to add the combination of a movie frame number and bitmap into the list of images. Note that an image is shown until a movie frame which specifies another image. If, for example, the fixation bitmap should be visible for the first eight frames, you must not specify "frame 2 -> fixation.bmp", "frame 3 -> fixation.bmp" and so on since the image is kept on the screen until replaced by another image (i.e., "frame 9 -> stimulus1.bmp"). After having specified all stimulus images, click the Create .AMV file button to produce the activation movie.

NOTE Granularity of (sub-)clusters. As stated above, the loaded or computed 3D statistical map determines the regions which will appear in the movie. One possibility would be to use one time courses for each of the separated functional clusters through averaging the involved voxel time courses. This approach is, however, problematic in the case of large functioal clusters, i.e. in early visual areas. Therefore, large functional clusters are subdivided into several subclusters. You can control this subdivision in the Max cluster range field within the Talairach tab of the 3D Volume Tools dialog. The three values, one for each dimension, are preset to a value of 10. This means that a large functional cluster is subdivided into smaller clusters if at least one of ist extensions is larger than 10. If you have a set of clearly separated functional clusters, you might increase these values (i.e. to 30) since this then creates smaller activation movie files containing less separated clusters.


Running activation movies

To run an activation movie, you must have loaded an appropriate surface, i.e. head or brain of the subject. Invoke the Meshes -> Activation movie dialog and click the Browse movie... button in the Run activation movie field to select a movie file. You may chose either a voxel-based movie (.AMV file) or a surface-based movie (.SMV file). The creation of an .AMV file was described in the previous section, the creation of .SMV files will be described below. After having selected an .AMV file, simply click the Run... button to immediately start the movie. Before doing so, you can also specify a number of options. If the Slice movie option is checked (default) and if you have sliced a head or brain surface of a subject appropriately, you will see activity changes projected on the selected slice (see snapshot below). If the Surface movie option is checked, you will see activation changes on the surface. You can also combine the two described options allowing to see activation over time both on a slice as well as on the surface. The Surface movie option works only correct if you have loaded a surface which is in register with the grey matter of the voxel data, i.e. a folded mesh of the cortical sheet of a hemisphere. The reason is that the .AMV movie specifies functional clusters in voxel space which are then projected onto corresponding regions of the surface. You can create a "real" surface movie during execution of the .AMV movie, If you check the Create vertex movie (SMV) option. In this case, the functional clusters and respective time courses are directly linked to the corresponding vertices of the surface. After running the .AMV movie with this option, you can then use the Browse movie... button to select the created .SMV movie. The name of the vertex movie file is the same as the .AMV movie file from which it was created except that the extension has been changed from .AMV to .SMV. Since in an SMV movie the cluster time course data is linked to the vertices of the surface, you have now the possibility to run the movie also on an inflated or flattended version of the same surface (see second snapshot below).

There are three additional options. If you check the Smooth time courses option, the appearance of the movie is slightly improved with respect to noise in the time courses. If the movie runs to fast on your computer, use the Inter-frame delay edit box to enter a time period in milliseconds to slow down the movie. After each frame has been computed and shown on the screen, the image is frozen for the entered amount of time (you might want to use this feature for slice-based movies which run quite fast). Finally, you can produce intermediate frames between the time points of the functional data if you specify a value above zero in the Inter-frame interpolation edit box. A value of 0 (default) specifies that for each data point in the time courses a single activation movie frame is computed. If you enter a value of 1, an additional frame is computed in the middle of all pairs of true data points using linear interpolation. If you enter 2, two frames are entered between two successive real data points and so on.

NOTE You can stop a running activation movie at any time by pressing the ESC key (hold key until the movie stops).

NOTE Running activation movies on merged meshes. An activation movie can be projected only onto one surface. If you want that your movie runs i.e. on both reconstructed cortical hemispheres, you can use the Merge mesh surfaces item in the Meshes menu. This tool allows you to combine a set of surfaces into a new aggregate or "super" surface. To combine, for example two cortical hemispheres into a new mesh, load both surfaces in succession and then click the Merge mesh surfaces menu item. After a few seconds you will have a single surface based on the two isolated hemisphere meshes. You can save the new surface to disk as usual. Now run an .AMV movie which will appear now on both folded hemispheres. If you create also an SMV movie, you can run the movie on both inflated versions of the two hemispheres by combining the two inflated versions in the same way as described. Note, however, that the order for loading the two hemispheres has to be the same as with the folded hemispheres, otherwise the vertices will not match with the folded super mesh.

NOTE Deleting stimulus frame images in the surface module window. If you are using stimulus frame images during execution of a movie, the last image will be present in the surface module window after running a movie. If you want to remove that image, simply invoke the Activation movie dialog and then click the Quit button.


Converting activation movies to AVI files

An activation movie runs in the surface module window. You can also export the activation movie into a standard movie format, namely AVI which is used on the Windows platform but can also be processed on most other platforms (Unix, Mac). There are also several programs available which allow to convert AVI files into virtually any other major video format like MPEG, GIF animation and Quick Time. To produce an .AVI movie, invoke the Record AVI movie dialog using the Meshes -> Render .AVI movie menu item. Check the Record .AVI movie option. A Open File dialog will appear in which you must enter a name for the .AVI movie. Then click the OK button to close the AVI dialog. Now invoke the Activation movie dialog and start a moive as described in the previous sections. Every frame computed and shown in the surface module window is now grabbed and stored in the AVI file. After the activation movie has been completed, switch back to the Record AVI movie dialog, deselect the Record .AVI movie option and click the OK button. This step is necessary to close the opened .AVI file, otherwise you can not run the AVI movie. You will now find the AVI movie file on disk. Simply run it with a double-click.

NOTE The AVI movie contains the grabbed images uncompressed!. This means that the data files become really huge very rapidly. If you use a screen of, for example, 1024x768 pixels and assumning true color graphics, each image contains roughly 2 MB of data. If you record 100 frames, this will result in a 200 MB AVI file! You should therefore reduce substantially the size of the BrainVoyager (or surface module window) before recording an AVI file. After having the AVI file on disk, you might also use additional software to compress the movie, i.e. into an MPEG format.


Minor improvements

Some minor improvements in BrainVoyager 3.x include (see also the readme.txt file):

  • BrainVoyager background image. BrainVoyager now shows in its main window a background image. You can turn the image on and off in the Global options dialog which can be invoked by clicking the Global options... menu item in the File menu.

  • Full screen mode. If you press CTRL-F, BrainVoyager now switches into full screen mode. You can return to normal display mode by clicking CTRL-F again. You can access this feature also in the Window menu. In full screen mode, the menus are still accessible. Simply click the ALT key together with the first letter of a menu. For example, ALT-M will pop-up the Meshes menu. In full screen mode all tool bars and the status bar are hidden from view. You can bring them back using the menu items in the View menu.

  • Copy colors from linked mesh. This feature copies the colors of a linked mesh on the current mesh in the surface view. This feature can be used, for example, to color lobes or gyri in inflated or flattened representations and then to load the colors onto a folded version of a cortical hemisphere. This feature was already available in older versions of BrainVoyager but a new flag was added to allow to copy colors only into regions which are not already colored on the target mesh. If for example on one mesh the lobes are colored and on another version of the mesh the early visual areas are colored, this new flag allows to bring them together on one mesh. In this example, you would first copy the colors of the early visual areas and then the colors of the lobes. If the new Copy from ref in BG only flag is not checked, the lobe colors would overwrite the early area colors. If the flat is checked, however, the lobe colors would not overwrite the early area colors but only those regions which are not yet colored. The flag is available in the Morphing and Coloring options dialog.

  • BCL files. It is now possible to save and load the color definitions in the Region Deletion and Coloring Options dialog. This dialog is invoked clicking the Floodfill options menu item in the Meshes menu. The local file menu can be used to save and load the files which possess the extension .BCL (for background colors). Example .BCL files are distributed with the recent version of BrainVoyager.

  • Surface coloring undo. It is now possible to save the colors of the current mesh by using either the Save colors for undo menu item in the context menu (invoked by right mouse click) or by clicking the Set undo button in the Mesh Morphing and Coloring dialog. If surface coloring is then changed i.e. by cutting, coloring or reading functional data, the saved state can be restored by clicking the Undo button in the Mesh Morphing and Coloring dialog or by clicking the Undo: Restore colors menu item in the context menu (right mouse click).

  • Correct left/right display of meshes. In the Global options dialog it is now possible to specify that meshes are left/right flipped to show a correct three-dimensional view of reconstructed surfaces from .VMR's in radiological convention. BrainVoyager uses exactly the space of the .VMR to build reconstructed meshes. If a .VMR is left/right mirrored (radiological convention), the display in the surface module also is left/right mirrored. If the Flip mesh left / right option is selected, the x-axis of all meshes in the surface module will be flipped. This is usefsul if a user knows that all his .VMRs are in radiological convention. A better approach is to check the Flip L / R based on Doc setting option (default). This option looks in the current setting in the .VMR project (specified in the Transform to Standard SAG dialog invoked by clicking the To SAG button in the Spatial Transf tab of the 3D Volume Tools dialog). If here the Radiolgocical convention flag is set, the meshes are mirrored in the surface module but not if the Neurological convention flag is specified.